Postgres-XC 1.1 Documentation
Prev | Up |  | Next

# VAR

## Name

VAR -- define a variable

## Synopsis

    VAR varname IS ctype

## Description

The `VAR` command defines a host variable. It is equivalent to an ordinary C variable definition inside a declare section.

## Parameters

`varname`

  A C variable name.

`ctype`

  A C type specification.

## Examples

    EXEC SQL VAR vc IS VARCHAR[10];
    EXEC SQL VAR boolvar IS bool;

## Compatibility

The `VAR` command is a PostgreSQL extension.

Prev | Home | Next
TYPE | Up | WHENEVER